Bug 240421 - Please branch/build syslog-ng for EPEL (EL-5)
Please branch/build syslog-ng for EPEL (EL-5)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: syslog-ng (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Douglas E. Warner
Fedora Extras Quality Assurance
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-17 09:20 EDT by Konstantin Ryabitsev
Modified: 2009-07-15 04:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-15 04:27:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)
Patch against configure.in to statically link against libwrap (920 bytes, patch)
2009-03-16 20:03 EDT, Ray Van Dolson
no flags Details | Diff
Patch to be applied on EL4 (995 bytes, patch)
2009-03-17 01:03 EDT, Ray Van Dolson
no flags Details | Diff
Patch to be applied on EL5 (920 bytes, patch)
2009-03-17 01:04 EDT, Ray Van Dolson
no flags Details | Diff

  None (edit)
Description Konstantin Ryabitsev 2007-05-17 09:20:15 EDT
Would you mind requesting an EL-5 branch and maintaining it? I'm thinking the
1.6 tree (FC-6) would be more suitable for that, but it's up to you. TIA!
Comment 1 Bug Zapper 2008-04-03 20:45:01 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 2 Bug Zapper 2008-05-06 21:45:19 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp
Comment 3 Bug Zapper 2008-05-13 22:54:37 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Douglas E. Warner 2008-12-09 09:30:31 EST
Package Change Request
======================
Package Name: syslog-ng
New Branches: EL-4 EL-5
Owners: silfreed
Comment 5 Jose Pedro Oliveira 2008-12-09 10:42:02 EST
Douglas,

Just a couple of issues you will have to address/lookup into:

 * you'll have to static link the tcpwrappers' library in EL4 and in EL5
   (syslog daemons can't depend on anything under /usr)

   rpm -ql tcp_wrappers (in EL5)
   -----------------------------
   /usr/include/tcpd.h
   /usr/lib/libwrap.a
   /usr/lib/libwrap.so
   /usr/lib/libwrap.so.0
   /usr/lib/libwrap.so.0.7.6
   ....

 * EL4 only: you may also have to check if the glib2 library is already
   located in /lib

 * with the introduction of rsyslog in EL5.2 the logrotate file was modified

   $ cat /etc/logrotate.d/syslog 
   /var/log/messages /var/log/secure /var/log/maillog /var/log/spooler \
            /var/log/boot.log /var/log/cron {
      sharedscripts
      postrotate
      /bin/kill -HUP `cat /var/run/syslogd.pid 2> /dev/null` 2> /dev/null || true
      /bin/kill -HUP `cat /var/run/rsyslogd.pid 2> /dev/null` 2> /dev/null || true
      endscript
   }

   Notice the two pid files: one for sysklogd and one for rsyslog
  

 (question: why doesn't rsyslog use the same filename as the pid file?)
Comment 6 Douglas E. Warner 2008-12-09 10:49:43 EST
(In reply to comment #5)
>  * you'll have to static link the tcpwrappers' library in EL4 and in EL5
>    (syslog daemons can't depend on anything under /usr)
> 
>    rpm -ql tcp_wrappers (in EL5)
>    -----------------------------
>    /usr/include/tcpd.h
>    /usr/lib/libwrap.a
>    /usr/lib/libwrap.so
>    /usr/lib/libwrap.so.0
>    /usr/lib/libwrap.so.0.7.6
>
>  * EL4 only: you may also have to check if the glib2 library is already
>    located in /lib
> 

Thanks, I'll have to look into this.

>  * with the introduction of rsyslog in EL5.2 the logrotate file was modified
> 
>    $ cat /etc/logrotate.d/syslog 
>    /var/log/messages /var/log/secure /var/log/maillog /var/log/spooler \
>             /var/log/boot.log /var/log/cron {
>       sharedscripts
>       postrotate
>       /bin/kill -HUP `cat /var/run/syslogd.pid 2> /dev/null` 2> /dev/null ||
> true
>       /bin/kill -HUP `cat /var/run/rsyslogd.pid 2> /dev/null` 2> /dev/null ||
> true
>       endscript
>    }
> 
>    Notice the two pid files: one for sysklogd and one for rsyslog
> 

I actually have EL4/EL5 packages at my website that I've maintained for many years (http://www.silfreed.net/download/repo/packages/syslog-ng , https://rpm.silfreed.net:8002/file/tip/syslog-ng/) that allows parallel installation of sysklogd, rsyslog, and syslog-ng.

>  (question: why doesn't rsyslog use the same filename as the pid file?)

No clue, it's quite the pain.  And getting the other syslog-facility maintainers to coordinate on making this pain-point go away has had very slow progress.
Comment 7 Kevin Fenzi 2008-12-09 22:28:03 EST
cvs done.
Comment 8 Ray Van Dolson 2009-03-16 20:01:34 EDT
Have started some initial work on getting this to compile for EL5 with one .spec file.

Patch to configure.in is attached.

http://rayvd.fedorapeople.org/syslog-ng/syslog-ng.spec
http://rayvd.fedorapeople.org/syslog-ng/syslog-ng-2.0.10-2.el5.src.rpm

Some notes:
 * EL4 issues still need addressed (glib2 needs to be statically linked)
 * Assuming this is a branch agnostic patch, it should probably be modified
   to only patch configure.in if we're on EL4 or EL5.
 * There is an rpmlint complaint about the Provides:
     syslog-ng.src:44: W: unversioned-explicit-provides syslog
   rsyslog provides syslog in exactly the same way though.

Comments?  I'm not sure if this is the cleanest way to do a static patch short of getting upstream to make some changes to the autoconf files before packaging up their tarball.
Comment 9 Ray Van Dolson 2009-03-16 20:03:42 EDT
Created attachment 335459 [details]
Patch against configure.in to statically link against libwrap
Comment 10 Ray Van Dolson 2009-03-17 01:01:47 EDT
http://rayvd.fedorapeople.org/syslog-ng/syslog-ng.spec
http://rayvd.fedorapeople.org/syslog-ng/syslog-ng-2.0.10-3.el5.src.rpm

The above should build on EL4, EL5 as well as the Fedora's.  The complaint about the syslog version is still there.  I don't know if this is a big deal to anyone.

I also added the new log rotation script as well.

Doug, could you take a look when you get a chance?
Comment 11 Ray Van Dolson 2009-03-17 01:03:35 EDT
Created attachment 335478 [details]
Patch to be applied on EL4
Comment 12 Ray Van Dolson 2009-03-17 01:04:05 EDT
Created attachment 335479 [details]
Patch to be applied on EL5
Comment 13 Ray Van Dolson 2009-03-17 01:29:58 EDT
Hmm, for some reason, under mock, it seems like configure gets run twice (gets called by make?).  The second time through it doesn't pass --enable-dynamic-linking and as a result we don't get the static linking we want.  Grr.
Comment 14 Ray Van Dolson 2009-03-17 02:00:06 EDT
From looking at the mock build logs, there were errors trying to call automake as a result of the configure.in file being patched.  Added a BuildRequires of automake17 and now mock seems to produce a correctly statically linked binary.

http://rayvd.fedorapeople.org/syslog-ng/syslog-ng.spec
http://rayvd.fedorapeople.org/syslog-ng/syslog-ng-2.0.10-4.el5.src.rpm
Comment 15 Douglas E. Warner 2009-03-24 10:23:40 EDT
rayvd, if you apply for co-maintainer on any branches in pkgdb I'll approve you as co-maintainer.
Comment 16 Douglas E. Warner 2009-03-24 11:12:20 EDT
Updating eventlog package to include the -static package needed for RHEL builds since I was stupid and removed this in the previous version.
Comment 17 Ray Van Dolson 2009-03-24 11:41:00 EDT
FYI, at least on my CentOS 5 box, libevtlog.so and friends are in /lib so I think it's ok to dynamically link against them.
Comment 18 Douglas E. Warner 2009-03-24 11:45:07 EDT
Yep, but that's not what the --mixed-linking option does and I don't feel like patching it at this time.
Comment 19 Douglas E. Warner 2009-03-24 13:28:14 EDT
Built; should be going into EPEL shortly.
Comment 20 Bug Zapper 2009-06-09 18:36:31 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Bug Zapper 2009-07-15 04:27:42 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.